Skip to main content

Send

The /send endpoint allows you to send SMSs to your contacts.

Send a single SMS​

POST /send/sms

Send a single SMS to a contact.

  • 🔐 Permissions: ["sendLog.create"]

Request​

Body

FieldTypeRequiredDescription
contentstring✅The content of the SMS. Can include templates if you're only sending to contacts in your org
cellstring✅The cell number of the contact you want to send the SMS to
skipNonContactsboolean✅Whether to skip sending to contacts not in your org
countrystring✅The country code to send to.
deliveryMethod'reverse' | 'standard' | 'transactional'✅The delivery method to use.
campaign_idstring❌The id of the campaign to associate with this send. Allows hooks to trigger on reply.
sendOptionsSendOptions❌The options for the SMS

Example

{
"content": "Hello World",
"cell": "0111111111",
"skipNonContacts": true,
"country": "ZA",
"deliveryMethod": "reverse",
"campaign_id": "123",
"sendOptions": {
"testMode": true
}
}

Response​

Success

200
{
ok: true,
data: {
// A unique id identifying this particular send
// Useful for querying the delivery status of this send
customerId: string,
totalCost: number,
}
}

Error

400
{
ok: false;
error: string;
}

Send bulk email​

POST /send/email/bulk

Send a bulk email to multiple recipients.

  • 🔐 Permissions: ["sendLog.create"]

Request​

Body

FieldTypeRequiredDescription
fromstring✅The email address to send form
template_idstring✅The _id of the email template to send
destinationsstring[]✅The list of email addresses to send to
filter_non_contactsboolean❌Filter out email addresses that aren't in your Dripcel contacts. Required if the template you're sending contains custom fields to replace.
to_start_atstring❌Schedule to send for a future time. Default is to send immediately.

Example

{
"from": "[email protected]",
"template_id": "template123",
"destinations": ["[email protected]"],
"filter_non_contacts": true,
"to_start_at": "2023-10-01T12:00:00Z"
}

Response​

Success

200
{
ok: true,
data: { }
}

Error

400
{
ok: false;
error: string;
}